[arch-commits] CVS update of extra/devel/eclipse (PKGBUILD eclipse.desktop eclipse.sh)

Paul Mattal paul at archlinux.org
Tue Nov 27 21:27:40 UTC 2007


    Date: Tuesday, November 27, 2007 @ 16:27:40
  Author: paul
    Path: /home/cvs-extra/extra/devel/eclipse

Modified: PKGBUILD (1.23 -> 1.24) eclipse.desktop (1.2 -> 1.3)
          eclipse.sh (1.3 -> 1.4)

upgpkg: eclipse 3.3.1.1-1
upgrade to 3.3.1.1, drops support for jdk <= 1.5


-----------------+
 PKGBUILD        |   41 ++++++++++++++++++++++++-----------------
 eclipse.desktop |    4 ++--
 eclipse.sh      |    2 +-
 3 files changed, 27 insertions(+), 20 deletions(-)


Index: extra/devel/eclipse/PKGBUILD
diff -u extra/devel/eclipse/PKGBUILD:1.23 extra/devel/eclipse/PKGBUILD:1.24
--- extra/devel/eclipse/PKGBUILD:1.23	Tue Oct  9 10:58:56 2007
+++ extra/devel/eclipse/PKGBUILD	Tue Nov 27 16:27:40 2007
@@ -1,9 +1,9 @@
-# $Id: PKGBUILD,v 1.23 2007/10/09 14:58:56 paul Exp $
+# $Id: PKGBUILD,v 1.24 2007/11/27 21:27:40 paul Exp $
 # Contributor: Andrew Wright <andreww at photism.org>
 # Maintainer: Paul Mattal <paul at archlinux.org>
 
 pkgname=eclipse
-pkgver=3.3.1
+pkgver=3.3.1.1
 pkgrel=1
 pkgdesc="Eclipse IDE development platform"
 arch=('i686' 'x86_64')
@@ -12,12 +12,12 @@
 license=('EPL')
 install=$pkgname.install
 makedepends=(zip libgnomeui apache-ant)
-source=(ftp://ftp.osuosl.org/pub/$pkgname/$pkgname/downloads/drops/R-$pkgver-200709211145/$pkgname-sourceBuild-srcIncluded-$pkgver.zip \
+source=(ftp://ftp.osuosl.org/pub/$pkgname/$pkgname/downloads/drops/R-$pkgver-200710231652/$pkgname-sourceBuild-srcIncluded-$pkgver.zip
 	eclipse.sh \
 	eclipse.desktop)
-md5sums=('764b585d9a05cd518650e31c32899a29' \
-	 'f08e49e6dad13dda8b2e4036b2a3f28c' \
-	 '0bee44d3b8839d6b217b6a5efb27407f')
+md5sums=('593b56fce7d1f1f799e87365cafefbef' \
+	 '78db5f9dfd844288afd49e0f357dd539' \
+	 '5a908647b7a9c9bb4467a499ec68b2e2')
 
 build() {
   cd $startdir/src || return 1
@@ -37,22 +37,29 @@
     else ./build -os linux -ws gtk -arch x86 || return 1
   fi
 
-  mkdir $startdir/pkg/opt
+  installdir=$startdir/pkg/usr/share
+  mkdir -p $installdir || return 1
+
   if [ "$CARCH" = "x86_64" ]; then
-      cp result/linux-gtk-x86_64-sdk.tar.gz $startdir/pkg/opt
-    else cp result/linux-gtk-x86-sdk.tar.gz $startdir/pkg/opt
+	  cp result/linux-gtk-x86_64-sdk.tar.gz $installdir || return 1
+  else
+	  cp result/linux-gtk-x86-sdk.tar.gz $installdir || return 1
   fi
 
-  cd $startdir/pkg/opt
+  cd $installdir || return 1
+
   if [ "$CARCH" = "x86_64" ]; then
-      tar zxf linux-gtk-x86_64-sdk.tar.gz
-      rm linux-gtk-x86_64-sdk.tar.gz
-    else tar zxf linux-gtk-x86-sdk.tar.gz
-         rm linux-gtk-x86-sdk.tar.gz
+	  tar zxf linux-gtk-x86_64-sdk.tar.gz || return 1
+	  rm linux-gtk-x86_64-sdk.tar.gz || return 1
+  else
+	  tar zxf linux-gtk-x86-sdk.tar.gz || return 1
+	  rm linux-gtk-x86-sdk.tar.gz || return 1
   fi
 
-  rm -r eclipse/readme
+  rm -r eclipse/readme || return 1
 
-  install -D -m755 $startdir/src/eclipse.sh $startdir/pkg/etc/profile.d/eclipse.sh
-  install -D -m644 $startdir/src/eclipse.desktop $startdir/pkg/usr/share/applications/eclipse.desktop
+  install -D -m755 $startdir/src/eclipse.sh \
+  	$startdir/pkg/etc/profile.d/eclipse.sh || return 1
+  install -D -m644 $startdir/src/eclipse.desktop \
+  	$startdir/pkg/usr/share/applications/eclipse.desktop || return 1
 }
Index: extra/devel/eclipse/eclipse.desktop
diff -u extra/devel/eclipse/eclipse.desktop:1.2 extra/devel/eclipse/eclipse.desktop:1.3
--- extra/devel/eclipse/eclipse.desktop:1.2	Sat May 27 22:22:55 2006
+++ extra/devel/eclipse/eclipse.desktop	Tue Nov 27 16:27:40 2007
@@ -1,8 +1,8 @@
 [Desktop Entry]
 Name=Eclipse
 Comment=A Java Development Environment
-Icon=/opt/eclipse/icon.xpm
-Exec=/opt/eclipse/eclipse
+Icon=/usr/share/eclipse/icon.xpm
+Exec=/usr/share/eclipse/eclipse
 Terminal=false
 Type=Application
 Categories=GNOME;Application;Development
Index: extra/devel/eclipse/eclipse.sh
diff -u extra/devel/eclipse/eclipse.sh:1.3 extra/devel/eclipse/eclipse.sh:1.4
--- extra/devel/eclipse/eclipse.sh:1.3	Mon Nov 20 21:45:12 2006
+++ extra/devel/eclipse/eclipse.sh	Tue Nov 27 16:27:40 2007
@@ -1,4 +1,4 @@
 #!/bin/bash
 
-export ECLIPSE_HOME=/opt/eclipse
+export ECLIPSE_HOME=/usr/share/eclipse
 export PATH=$PATH:$ECLIPSE_HOME




More information about the arch-commits mailing list